# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: CC0-1.0

Dependencies:
- 'on': ['@all']
  'require':
    'frameworks/extra-cmake-modules': '@same'

Options:
  test-before-installing: True
  require-passing-tests-on: [ 'Linux' ]
  cppcheck-arguments:
    - --enable=warning,style,performance
    - --suppress-xml=cppcheck-suppressions.xml
  #  - --library=cppcheck-qt-extra-defines.xml
  #  - --library=cppcheck-kio-defines.xml
  cppcheck-ignore-files:
    - autotests
